For AI agents: an index of this documentation is at https://developer.rippling.com/llms.txt. Public pages have a Markdown version at the same URL with .md added.

Skip to main content
API

Retrieve a specific break policy

GET
/break-policies/{id}/

Use with AI:Rippling AI ChatGPT Claude Cursor

Retrieve a specific break policy

GET
/break-policies/{id}/

Retrieves details for a specific break policy by ID.

Helpful resources

Required Scopes

  • break-policies.read

Request

Path Parameters
    id idrequired

    ID of the resource to return

Responses​

Successful response
Schema
    __meta object
      redacted_fields object[]
        Array [
        name string

        The name for the redacted field

        reason string

        The reason for the redaction

        ]
    id stringrequired

    Identifier field

    created_at stringrequired

    Record creation date

    updated_at stringrequired

    Record update date

    name stringrequired

    The display name of the break policy. For default policies this is the system-generated label (e.g. 'Default Break policy: All Workers | California'); for custom policies this is the admin-provided description.

    country_code string

    ISO 3166-1 alpha-2 country code the policy applies to (e.g. 'US', 'CA', 'GB').

    is_default boolean

    Whether this is a system-seeded default policy (true) or a custom policy created by an admin (false).

Loading...